polybori::integral_constant< IntType, INTCONST, ResultType > Class Template Reference

integral_constant<int_type, NUM>()() returns NUM of int_type, instead of possibly arguments. integral_constant<int_type, NUM, other_type>()() returns conversion of NUM of int_type to other_type. More...

`#include <pbori_func.h>`

## Public Types

enum | { result = INTCONST }
typedef ResultType | result_type

## Public Member Functions

result_type | operator() (...) const

## Detailed Description

### template<class IntType, IntType INTCONST, class ResultType = IntType>
class polybori::integral_constant< IntType, INTCONST, ResultType >

integral_constant<int_type, NUM>()() returns NUM of int_type, instead of possibly arguments. integral_constant<int_type, NUM, other_type>()() returns conversion of NUM of int_type to other_type.

## Member Typedef Documentation

template<class IntType, IntType INTCONST, class ResultType = IntType>

typedef ResultType polybori::integral_constant< IntType, INTCONST, ResultType >::result_type

## Member Enumeration Documentation

template<class IntType, IntType INTCONST, class ResultType = IntType>

anonymous enum

Enumerator
result |

## Member Function Documentation

template<class IntType, IntType INTCONST, class ResultType = IntType>

result_type polybori::integral_constant< IntType, INTCONST, ResultType >::operator() | ( |  | ... | ) | const

inline

The documentation for this class was generated from the following file:

- pbori_func.h